---
- name: Manage PowerTools repository for RedHat
  community.general.rhsm_repository:
    name: "codeready-builder-for-rhel-{{ ansible_distribution_major_version }}-x86_64-rpms"
  when: ansible_distribution == "RedHat" and ansible_distribution_major_version | int >= 8


- name: Manage PowerTools repository for Alma/RockyLinux <=8
  ansible.builtin.command: dnf config-manager --set-enabled powertools
  when: ansible_distribution_major_version | int < 9 and (ansible_distribution == "Rocky" or ansible_distribution == "AlmaLinux")
  changed_when: false

- name: Manage PowerTools repository for Alma/RockyLinux >=9
  ansible.builtin.command: dnf config-manager --set-enabled crb
  when: ansible_distribution_major_version | int >= 9 and (ansible_distribution == "Rocky" or ansible_distribution == "AlmaLinux")
  changed_when: false
